import { select } from 'd3';
import { viz } from './viz';
import { data } from '@vspatel927/nyc-water';

export const main = (container) => {
  const width = container.clientWidth;
  const height = container.clientHeight;

  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  viz(svg, {
    data,
    xValue: (d) => d.Year,
    xAxisLabelText: 'Year',
    xAxisLabelOffset: 38,
    yValue: (d) => d.NYC_Consumption,
    yTwoValue: (d) => d.New_York_City_Population,
    yAxisLabelText: 'Consumption (millions)',
    yAxisLabelOffset: 17,
    innerRectFill: '#E8E8E8',
    circleRadius: 35 / 20,
    circleOpacity: 629 / 1000,
    marginTop: 20,
    marginBottom: 50,
    marginLeft: 54,
    marginRight: 20,
    width,
    height,
  });
};
